Package org.eclipse.jdt.core.dom

# Class PrefixExpression.Operator

java.lang.Object
org.eclipse.jdt.core.dom.PrefixExpression.Operator

Enclosing class:
  `PrefixExpression`

public static class PrefixExpression.Operator extends Object
Prefix operators (typesafe enumeration).

     PrefixOperator:
        ++  INCREMENT
        --  DECREMENT
        +  PLUS
        -  MINUS
        ~  COMPLEMENT
        !  NOT

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PrefixExpression.Operator`
`COMPLEMENT`
Bitwise complement "~" operator.
`static final PrefixExpression.Operator`
`DECREMENT`
Prefix decrement "--" operator.
`static final PrefixExpression.Operator`
`INCREMENT`
Prefix increment "++" operator.
`static final PrefixExpression.Operator`
`MINUS`
Unary minus "-" operator.
`static final PrefixExpression.Operator`
`NOT`
Logical complement "!"
`static final PrefixExpression.Operator`
`PLUS`
Unary plus "+" operator.

## Method Summary

Modifier and Type
Method
Description
`static PrefixExpression.Operator`
`toOperator(String token)`
Returns the prefix operator corresponding to the given string, or `null` if none.
`String`
`toString()`
Returns the character sequence for the operator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INCREMENT

public static final PrefixExpression.Operator INCREMENT
Prefix increment "++" operator.

### DECREMENT

public static final PrefixExpression.Operator DECREMENT
Prefix decrement "--" operator.

### PLUS

public static final PrefixExpression.Operator PLUS
Unary plus "+" operator.

### MINUS

public static final PrefixExpression.Operator MINUS
Unary minus "-" operator.

### COMPLEMENT

public static final PrefixExpression.Operator COMPLEMENT
Bitwise complement "~" operator.

### NOT

public static final PrefixExpression.Operator NOT
Logical complement "!" operator.

## Method Details

### toString

public String toString()
Returns the character sequence for the operator.

Overrides:
  `toString` in class `Object`
Returns:
  the character sequence for the operator

### toOperator

public static PrefixExpression.Operator toOperator(String token)
Returns the prefix operator corresponding to the given string, or `null` if none.

`toOperator` is the converse of `toString`: that is, `Operator.toOperator(op.toString()) == op` for all operators `op`.

Parameters:
  `token` - the character sequence for the operator
Returns:
  the prefix operator, or `null` if none